Generated from cURL: curl --location --request DELETE 'https://api.pre-prod.ozonetel.com/ca_apis/DeleteBulkData'
--header 'apiKey: KK00b15555afb7066312663b969a75f74d'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJzdWIiOiJwcmVwcm9kIiwiZXhwIjoxNzI1NzA5NDQxLCJpYXQiOjE3MjU3MDU4NDF9.AHgbVCbkKo_riGfsNNHgAcmEKJlvL85noSXuuykRxkItN39MMa9g0MZcnY4CT4jMvBYh3c7b4kN-ReQGVvksPw'
--header 'Cookie: PHPSESSID=49094e7a5367452758ca8ee1e23ced84'
--data '{
"userName": "preprod",
"phoneNumber": [
8187867008,
8187867001,
1234565432,
6301877542,
8639736950,
8187867002,
8187867003,
8187867004,
8187867005,
8187867006,
8187867007
],
"campaignName": [
"ProAgent_ACBV4API_AfterExpiry",
"ProSkill_ACBV4API_AfterRetries",
"PredNon_ACD_GetAPI_AfterRetries",
"ProNon_ACDJAVA_AfterExpiry",
"QA_Outbound_Progressive ",
"QA_Outbound_Predictive"
]
}
'
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
The API allows you to delete data from multiple campaigns in your account.
Note:Make sure the admin setting 'API Authentication' is set to 'TOKEN_AUTH', If you are using this API.
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
To use this API with the help of a token, follow these steps:
- Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
- Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
- With the token entered, pass the body parameters in the below format.
{
"userName": "Your account User name",
"phoneNumber": [
1234567890,
1234567890,
1234565432,
][
1234567890,
1234567890,
1234565432,
],
"campaignName": [
"Campaign Name 1",
"Campaign Name 2",
"Campaign Name 3"
][
"Campaign Name 1",
"Campaign Name 2",
"Campaign Name 3"
]
} - Content-Type should be 'application/json'
Rate Limit:
- A maximum of 2 requests are allowed per minute.
- New request will not be accepted until the current one gets processed.
- Up to 100 phone numbers or 100 campaign names can be processed per request.
Possible responses
| Passing Invalid Bearer Token Value | "{""status"": ""false"",""message"": ""Invalid Token"", ""data"": null}" |
| Missing Bearer Token Value | {"status": "false","message": "Token Should Not be Null or Empty.","data": null} |
| Passing expired Token | {"status": "false","message": "Token Expired","data": null} |
| Passing Invalid userName Key | "{""status"": ""false"",""message"": ""Username Should Not be Null or Empty."", ""data"": null}" |
| Passing Invalid userName Value | {"status": "false","message": "Invalid User Details","data": null} |
| Passing Invalid phoneNumber Key | "{ ""status"": ""Error"", ""message"": ""PhoneNumbers should not be null are empty"" }" |
| Missing phoneNumber key | "{ ""status"": ""Error"", ""message"": ""PhoneNumbers should not be null are empty"" }" |
| Passing Invalid campaignName Key | "{ ""status"": ""Error"", ""message"": ""Campaign should not be null are empty"" }" |
| Missing campaignName key | "{ ""status"": ""Error"", ""message"": ""Campaign should not be null are empty"" }" |
| Missing campaignName Value | "{ ""status"": ""Error"", ""message"": ""Passed campaign are invalid"" }" |
| If hit more than 2 times in a minute. | { ""status"": ""Error"", ""message"": ""Max limit exceeded"" }" |
| Passing more than 100 numbers | "{ ""status"": ""Error"", ""message"": ""A maximum of 100 phone numbers or 100 campaign names will be accepted"" }" |
| Passing more than 100 CampaignNames. | "{ ""status"": ""Error"", ""message"": ""A maximum of 100 phone numbers or 100 campaign names will be accepted"" }" |
